# Repo personale per la futura tesi

##### Titolo: Streaming decentralizzato di contenuti audiovisivi

[atrent: i punti di domanda lasciali, sono domande a cui dovrai rispondere, li terrei tutti]

Riguardo a cosa bisognerebbe fare:

* Cittadinanza digitale e tecnocivismo: leggere il libro e spiegare un pò di cosa parla
* Cos’è il web 3.0
  * Possibili difetti del web attuale quindi come ha detto lei "molto centralizzata e molto single-point-of-failure-or-control"
    * e quindi perché nasce questa voglia/necessità di rompere il ciclo?
  * Decentralizzazione
    * Cosa implica questa decentralizzazione rapportato a come funziona il web ora
      * Quindi possibilmente riappropriazione dei dati personali
      * "direi anche comportamenti (reificati nei dati, ok)"? sono un attimo confuso su questo punto
  * Come nota più leggera/allegra/interessante menzionare le realtà inusuali che sono nate da esso come NFT, blockchain, etc?
* Introduzione a cosa è un servizio di streaming
* Analisi delle soluzioni esistenti decentralizzate ovvero:
  * Resilienza di una piattaforma nel passare da decentralizzata a centralizzata in caso di successo
    * quindi resilienza nel volere il controllo dei dati
    * vari meccanismi di decentralizzazione finora saltati fuori (fin dal p2p di tanti anni fa), i filesystem distribuiti, ecc.
  * Testing delle piattaforme in base a criteri che scegliamo noi, ad esempio: facilità di utilizzo, indicizzazione, performance dei protocolli (latenza, larghezza di banda, conversione dello stream in stream a qualità inferiore, …)
  * (non so se possa servire/sia fattibile) possibile realizzazione di un protocollo [atrent: nel senso di un metodo standard?] test per comparare a quelli esistenti
  * altro?
* Conclusione: quindi futuro del web?

Direi se possibile di aggiungere una *piccola* sezione sulla legalità di un servizio del genere ad esempio guardando se ci sono leggi che regolano questo ambiente (vedi Digital Services Act)


## altro template tesi

just in case https://gitlab.com/andrea-trentini/TemplateTesi

## link utili

* [Il futuro passa dal WEB 3 e NFT - In Evidenza - ANSA.it](https://www.ansa.it/sito/notizie/economia/ofc/in_evidenza/2022/04/05/il-futuro-passa-dal-web-3-e-nft_b495a1ed-0cfc-4ebc-a074-6eeec055ebf9.html)
* [Digital Services Act must go full mile to better protect consumers, not take half-measures](https://www.eubusiness.com/Members/BEUC/digital-services-act-protect-consumers/)